// ProjectManager.h
#pragma once

#include <string>
#include <vector>
#include <filesystem>
#include "../../core/types/all.h"

class ProjectManager
{
public:
    static bool Init();

    static bool SaveResource();

    static bool CreateProject(const std::string& projectPath,
                              const std::string& projectName);

    static const std::string& GetCurrentProjectPath();

    static const std::string& GetCurrentProjectName();

    static const std::string& GetCurrentAssetsPath();


private:
    static std::string s_currentProjectPath;
    static std::string s_currentProjectName;
};
